<?php
/**
 * @file
 * Theme functions for the User Blogs module.
 */


/**
 * Theme handler for theme('user_blogs_archive').
 */
function theme_user_blogs_archive($element) {
  $items = array();
  $items[] = $element['element']['show_all_link'];

  $archive = $element['element']['archive'];

  foreach ($archive as $year) {
    $item = array(
      'data' => t('!year [@count]', array('!year' => l($year['text'], $year['url']), '@count' => $year['count'])),
      'children' => array(),
    );

    foreach ($year['months'] as $month) {
      $item['children'][] = array(
        'data' => t('!month [@count]', array('!month' => l($month['text'], $month['url']), '@count' => $month['count'])),
      );
    }
    $items[] = $item;
  }

  return theme('item_list', array(
    'items' => $items,
  ));
}

/**
 * Theme handler for theme('user_blogs_top_blogger_list').
 */
function theme_user_blogs_top_blogger_list($element) {
  $items = array();
  $archive = $element['element']['archive'];
  foreach ($archive as $user) {
    $item = array(
      'data' => t('!userlink [@count]', array(
        '!userlink' => l($user['name'], $user['url']), '@count' => $user['count'])
      ),
    );
    $items[] = $item;
  }
  return theme('item_list', array(
    'items' => $items,
  ));
}

